<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div
    m-portlet="true"
    class="m-portlet m-portlet--head-sm m-portlet--collapse s--portlet-collapse"
  >
    <div class="m-portlet__head" :id="'m-portlet--head-sm-prefix-' + type_page">
      <div m-portlet-tool="toggle" style="width: 100%; display: flex ;cursor:pointer;">
        <div class="m-portlet__head-caption float-left" style="width: calc(100% - 30px)">
          <div class="m-portlet__head-title">
            <h5
              class="m-portlet__head-text s--portlet__head-text"
            >1. Cài đặt tiền tố (prefix) cho trường mã {{ title }}</h5>
          </div>
        </div>
        <div class="m-portlet__head-tools float-left" style="width: 30px;">
          <ul class="m-portlet__nav">
            <li class="m-portlet__nav-item">
              <a href="javascript:;" class="m-portlet__nav-link m-portlet__nav-link--icon">
                <i class="la la-angle-down"></i>
              </a>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <div
      class="m-form m-form--label-align-right"
      :id="'m-portlet--body-sm-prefix-' + type_page"
      style="display: none;"
    >
      <div class="m-portlet__body">
        <div class="row">
          <div class="col-md-9 prefix_code">
            <div class="s--settings">
              <div class="s--settings-content">
                <div class="content_prefix_code">
                  <div class="row">
                    <div class="col-md-8">
                      <div
                        class="input-group"
                        style="display: flex;align-items: center;"
                        :class="{ 'has-danger': errors.has('prefix_code') }"
                      >
                        <div style="margin-right:8px;" class="m--font-boldest">
                          Mã
                          {{getValueCodeKey(type_page)}}
                        </div>

                        <div>
                          <div
                            class="prefix__label--prefix"
                            id="prefix_label"
                            style="font-size: 11px;"
                          >
                            <span>Tiền tố (prefix)</span>
                          </div>

                          <div class="d-flex" style="max-width: 300px;">
                            <input
                              @keyup="checkKeyUp()"
                              v-mask="'XX'"
                              id="prefix_code"
                              type="text"
                              name="prefix_code"
                              class="form-control m-input"
                              v-model="prefix_data"
                              v-validate="{ required: true, max:2 }"
                              style="text-transform:uppercase"
                            />
                            <div class="input-group-prepend">
                              <span class="input-group-text">Năm tháng</span>
                            </div>
                            <div class="input-group-prepend">
                              <span class="input-group-text">Số ngẫu nhiên</span>
                            </div>
                          </div>

                          <div
                            class="form-control-feedback m--font-danger custom_prefix_code_danger"
                            v-if="errors.has('prefix_code')"
                          >{{errors.first('prefix_code')}}</div>
                          <div
                            class="form-control-feedback m--font-danger custom_prefix_code_danger"
                            v-else
                          >&nbsp;</div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-4">
                      <div class="float-left s--setting-preview">
                        <h5 class="title">Xem trước</h5>
                        <div class="setting-preview-item">
                          <span class="m--font-boldest">Mã {{getValueCodeKey(type_page)}} :</span>
                          <span>{{autoUpperCasePrefix}}{{getCurrentFormatTime()}}1234</span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="s--settings-info">
                <div class="s--settings-info_icon">
                  <i class="la la-info-circle"></i>
                </div>
                <div class="s--settings-info_content">
                  <div>
                    Việc chỉnh sửa này chỉ áp dụng với những {{getValueCodeKey(type_page)}} sinh
                    mới (kể từ thời điểm lưu chỉnh sửa). Những
                    {{getNamePageByKey(type_page).toLowerCase()}} đã sinh sẽ không đổi.
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-3" style="position:relative;"></div>
        </div>
      </div>
      <div class="m-portlet__foot m-portlet__foot--fit">
        <div class="m-form__actions m--padding-20 text-right">
          <button
            type="button"
            class="btn btn-sm btn-link mr-3 m-btn--custom"
            data-dismiss="modal"
            @click="resetPrefix()"
          >Hủy bỏ</button>
          <button
            :disabled="errors.has('prefix_code') || !isChange ? true : false"
            :class="{'s--btn_disabled' : errors.has('prefix_code') || !isChange ? true : false}"
            type="button"
            class="btn btn-sm btn-primary m-btn m-btn--custom"
            @click="savePrefix()"
          >Lưu lại</button>
        </div>
      </div>
    </div>

    <div class="modal fade s--modal-confirm" id="table__confirm--when-change-prefix">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">
                <i class="la la-times"></i>
              </span>
            </button>
            <div class="message text-center">Bạn đang có dữ liệu chưa lưu.</div>
            <div class="text-right">
              <button
                type="button"
                class="btn btn-link mr-2 m-btn--custom"
                data-dismiss="modal"
              >Hủy bỏ</button>
              <button
                class="btn btn-primary m-btn m-btn--custom"
                @click="confirmChange()"
                data-dismiss="modal"
              >Không lưu và tiếp tục</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
